Subject: Re: setfl () and accept ()
From: [email-masked] (Tim Newsham)

9 May 1998 00:07:17 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

> Arg.  It seems that I've been bitten.  Since signals aren't supported very
> well in the gnu-win32, I had to come up with an alternative way to get
> around the blocking habit of accept () and connect ().  I decided to change
> the sockets to asynchronous behavior using setfl (socket, F_SETFL,
> O_NONBLOCK | flags).  Well, it reports that everything is okay but, alas, it
> seems that the NONBLOCK property is ignored.  I still block hard and fast at
> the accept () or connect ().
> 	Does anyone have another option or a solution?

the fcntl non-blocking flag does not work, but the equivalent ioctl
flag does work:

        int true = 1;

        ioctl(sock, FIONBIO, &true);

> Terry Grooms
> [email-masked]

                                            Tim N.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".